%define module	gd
%define _exclude_files_from_autoprov	%{python_sitearch}/.*\\.so

Name:		python-%{module}
Group:		Development/Python
License:	BSD
Summary:	Python GD module
Version:	0.59
Release:	%mkrel 1
Source:		gdmodule-%{version}.tar.gz
URL:		http://newcenturycomputers.net/projects/gdmodule.html

BuildRequires:	freetype2-devel
BuildRequires:	libgd-devel >= 2.0.23
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	libxpm-devel
BuildRequires:	python-devel
BuildRequires:	zlib-devel
BuildRequires:	giflib-devel
Requires:	gd >= 2.0.23
Requires:	python

%description
This module is a python wrapper for the GD library. Due to the constant
change in the GD library API, there are several older versions of this
module available.

%prep
%setup -q -n gdmodule-%{version}
perl -pi -e 's|"/usr/local/lib"|"%{_libdir}"|;' setup.py

%build

%install
%__python setup.py install --root=%{buildroot}

%files
%doc README
%{python_sitearch}/_gd.so
%{python_sitearch}/gd.py*
%{python_sitearch}/*egg-info


%changelog
* Sat Dec 26 2015 luigiwalser <luigiwalser> 0.59-1.mga6
+ Revision: 915430
- 0.59

* Mon Feb 16 2015 oden <oden> 0.56-12.mga5
+ Revision: 815163
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 0.56-11.mga5
+ Revision: 741649
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.56-10.mga5
+ Revision: 728536
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.56-9.mga5
+ Revision: 688042
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.56-7.mga4
+ Revision: 543417
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.56-6.mga4
+ Revision: 498648
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 28 2013 marja <marja> 0.56-5.mga4
+ Revision: 472629
- remove PYTHONDONTWRITEBYTECODE=  (mga#3348)
- add BR giflib-devel
- exclude _gd.so from auto provides
- explicitly list packaged files

* Mon May 27 2013 oden <oden> 0.56-4.mga4
+ Revision: 428765
- rebuilt against libgd.so.3

* Sun Jan 13 2013 umeabot <umeabot> 0.56-3.mga3
+ Revision: 378872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 luigiwalser <luigiwalser> 0.56-2.mga2
+ Revision: 193021
- remove arch-conditional code in spec file
- import python-gd
- clean spec
- imported package python-gd

